Changes between Version 164 and Version 165 of BuildingWinPidgin


Ignore:
Timestamp:
01/01/15 19:47:05 (3 years ago)
Author:
datallah
Comment:

Update Perl instructions to clarify that we don't actually need a specific flavor at build time.

Legend:

Unmodified
Added
Removed
Modified
  • BuildingWinPidgin

    v164 v165  
    8484
    8585=== Perl 5.20 ===
    86   Install the 32-bit Strawberry Perl 5.20.x, and make sure it is in your `PATH` (otherwise you will need to override the `PERL` variable in `pidgin/local.mak` to point to the appropriate `perl.exe`).
     86  You'll need a functioning perl 5.20.x runtime (if the perl executable isn't in your `PATH`, you will need to override the `PERL` variable in `pidgin/local.mak` to point to the appropriate perl executable). A good option is [http://strawberryperl.com/ Strawberry Perl].
     87
    8788  Download the [/static/win32/perl-5.20.1.1.tar.gz perl-5.20.1.1.tar.gz] development package and extract to `$PIDGIN_DEV_ROOT/win32-dev` (it creates its own directory).  This is a subset of the full 32-bit strawberry perl zip containing just the headers, import lib, and source for perl.
    8889
    89   * Note: If using MSYS and you installed the `mingw-developer-toolkit`, keep in mind that it installs `msys-perl-bin` (Perl 5.6) which takes precedence over the newer perl in your path, and that will cause problems!  You will need to do one of the following:
    90    * Remove the mingw-developer-toolkit supplied (older) perl (but MAKE SURE you have mingw-get-0.2-mingw32-alpha-3 or later as previous version had issue with unlink'ing/deleting files):
    91 {{{
    92 #!sh
    93 mingw-get remove msys-perl-bin
    94 }}}
    95    * ''or'' Set your Strawberry Perl installation location at the beginning of the Cygwin-specific `PATH`.  Assuming it is installed in `c:\Perl`, put something like this in your `~/.bashrc`:
    96 {{{
    97 #!sh
    98 export PATH=/cygdrive/c/Strawberry/Perl/bin:$PATH
    99 }}}
     90  * Note: If using MSYS and you installed the `mingw-developer-toolkit`, keep in mind that it installs `msys-perl-bin` (Perl 5.6) which takes precedence over the newer perl in your path, and that will cause problems!  The easiest solution is to set the `PERL` variable in your `pidgin/local.mak` to point to the right perl.exe.
    10091
    10192=== Tcl 8.4.5 ===
All information, including names and email addresses, entered onto this website or sent to mailing lists affiliated with this website will be public. Do not post confidential information, especially passwords!